<?php
	session_start();

	require_once("./model/gestion_model.php");
	require_once("./model/gestion_model2.php");

	date_default_timezone_set("America/Lima");

	$ges = new gestion_model();
	$ges2 = new gestion_model2();

	$trabajadores = $ges2->get_trabajadores();
	$perfiles = $ges->get_perfiles();
	$usuarios_t = $ges->get_usuarios_t();


	// SESIÓN INICIADA

	if(isset($_SESSION['id_usuario_almacen']) && !isset($_POST['REGISTRAR'])){

		require_once("./view/registrar_usuario.phtml");
		
	}

	if(!isset($_SESSION['id_usuario_almacen'])){

		echo'<script type="text/javascript">alert("NO HA INGRESADO SESIÓN");window.location.href="index.php";</script>';
		
	}

	if(isset($_SESSION['id_usuario_almacen']) && isset($_POST['REGISTRAR'])){

		require_once("./view/cargando.phtml");


 		if( isset($_POST['documento_identidad']) && isset($_POST['perfil']) && isset($_POST['correo']) ){

			$usuario = explode("***", $_POST['documento_identidad'])[0];
			$validacion = $ges->get_usuario_comprobar($usuario);
			$hash = password_hash($usuario, PASSWORD_DEFAULT);
	
			if($validacion['total'] == 0){
	
				$resultado = $ges->set_usuario_nuevo($usuario);
				$id_usuario2 = $ges->get_usuario_dni($usuario);
				$resultado2 = $ges->set_contrasena_nuevo($hash,$id_usuario2['id_usuario']);
	
			}

			$id_usuario = $ges->get_usuario_dni($usuario);
			$validacion2 = $ges->get_usuario_comprobar_ccosto($id_usuario['id_usuario']);

			if($validacion2['total'] == 0){

				$resultado = $ges->set_usuario_almacen( $_POST['perfil'] , $_POST['correo'], $id_usuario['id_usuario']);

				echo'<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="usuarios.php";</script>';

			}else{

				echo'<script type="text/javascript">alert("EL USUARIO YA EXISTE");window.location.href="usuarios.php";</script>';

			}

		}else{

			echo'<script type="text/javascript">alert("DATOS INCOMPLETOS");window.location.href="usuarios.php";</script>';

		}



	}


?>